% ---------------------------------------------------
% job filling probability function
% q=p/x=(1+theta^gamma)^(-1/gamma) concave
% or Cobb-Douglas q=M*theta^(gamma-1)

function res = q(theta)
global gamma
global m

res=m*theta.^(-gamma);
I=find(res>1);
res(I)=1;


