% ---------------------------------------------------
% inverse of job filling probability function
% 
function res = qinv(q,param)
thetamax = 200; 

res = ((q/param.m).^(-param.gamma)-1).^(1/param.gamma);

res(find(q == 0 | res>thetamax)) = thetamax;
res(find(q < 0 | q > 1)) = 0; % if job filling < 0, market closed => theta=0

