% =======================================================
% UNCERTAINTY AND UNEMPLOYMENT
% by Edouard Schaal
% -----------------
% Replication files
%
% main.m: solves and simulates the standard DMP model
% under Shimer (2005) calibration (adjusted to my setting 
% for comparison)
%
% Instructions: simply run 'main()'
% =======================================================

%% =================
%  SOLVING THE MODEL
%  =================

solve();

%% =======================
%  DISPLAY STATS (TABLE 4)
%  =======================

stats();
