% ---------------------------------------------------
% job filling probability function
% q=p/x=(1+theta^gamma)^(-1/gamma) concave
% or Cobb-Douglas q=M*theta^(gamma-1)
% 
function res = q(theta,param)
res = param.m*(1+theta.^param.gamma).^(-1/param.gamma);



